Description

When I try to load the attached ASCII grid raster, I get:

    -  the first options dialog that tells me that the CRS of the view is different of the one of the raster. As can be seen in the attached
screenshot typos_crs.png, the CRS is correctly guessed as EPSG:3003. I select the option to reproject.
    -  the next dialog opening, unknown_crs.png, tells me the CRS is not known, which is strange
    -  finally I am not able to set the CRS for the raster in the properties dialog any more (as off issue #4143)

Basically I am unable to load the data properly.

History
#1 - 03/14/2016 06:09 AM - Andrea Antonello

There is more strangeness.

I have a small tool that extracts WKT from a projection constructed with the gvSIG Spatial Reference System Dialog.

I created manually the EPSG:3003 adding the EPSG transformation for mainland. The resulting WKT obtained from: ((Crs) crsObj).getWKT() is:

PROJCS["Monte Mario / Italy zone 1", 
  GEOGCS["Monte Mario", 
    DATUM["Monte_Mario", 
      SPHEROID["International 1924", 6378388.0, 297.0, AUTHORITY["EPSG","7022"]], 
      TOWGS84[-104.1, -49.1, -9.9, 0.971, -2.917, 0.714, -11.68], 
      AUTHORITY["EPSG","6265"]], 
    PRIMEM["Greenwich", 0.0, AUTHORITY["EPSG","8901"]], 
    UNIT["degree", 0.017453292519943295], 
    AXIS["Longitude", EAST], 
    AXIS["Latitude", NORTH], 
    AUTHORITY["EPSG","4265"]], 
  PROJECTION["Transverse_Mercator"], 
  PARAMETER["central_meridian", 9.0], 
  PARAMETER["latitude_of_origin", 0.0], 
  PARAMETER["scale_factor", 0.9996], 
  PARAMETER["false_easting", 1500000.0], 
  PARAMETER["false_northing", 0.0], 
  UNIT["m", 1.0], 
  AXIS["x", EAST], 
  AXIS["y", NORTH], 
  AUTHORITY["EPSG","3003"]]

If I insert this in the prj file of the raster and load it, the CRS is still not recognized by gvSIG. I can't believe that a CRS created by gvSIG is not
recognized. Maybe there is something different going on?

#2 - 03/16/2016 05:08 PM - Antonio Falciano
Hi Andrea,
if I try to load the attached ASCII grid raster in build 2426, I can see that:
    1. the first option works fine, it ignores the raster CRS and loads the layer as is;
    2. the second option doesn't work, because the raster CRS is not recognized so the layer is not reprojected in the view CRS, but loaded as is... So
it acts like the first option at the moment;
    3. the third one works at least in part, because the raster CRS is recognized correctly (even if I see "Unknown CRS. Assumed EPSG:4326", i.e. the
view CRS in my case), the view CRS is set equal to the layer one and finally the layer is loaded correctly (because not reprojected);
    4. the fourth option works fine, but it's useless at 100%;
    5. the last (and the most useful) one seems to be not implemented since gvSIG 1.12, but something is moving behind the scene as we can see in
the 3rd option.

#3 - 07/25/2016 07:22 PM - Álvaro Anguix
- Category set to CRS

#4 - 07/25/2016 07:23 PM - Álvaro Anguix
- Severity changed from Blocker to Major

#5 - 10/06/2016 05:36 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from New to Closed

I've checked the behaviour of the layer attached by Andrea in gvSIG 2.3 final and it works fine now! The prj is read and used in a right way. For
instance, adding the layer in a view defined in EPSG:4326, the layer is reprojected on the fly as it should be. I close the ticket.
